CMSIS-Driver: NAND Mode Controls

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
NAND Mode Controls
NAND Control Codes

Specify operation modes of the NAND interface. More...

## Macros

#define | ARM_NAND_BUS_MODE (0x01UL)
| Set Bus Mode as specified with arg. More...
#define | ARM_NAND_BUS_DATA_WIDTH (0x02UL)
| Set Bus Data Width as specified with arg. More...
#define | ARM_NAND_DRIVER_STRENGTH (0x03UL)
| Set Driver Strength as specified with arg. More...
#define | ARM_NAND_DEVICE_READY_EVENT (0x04UL)
| Generate ARM_NAND_EVENT_DEVICE_READY; arg: 0=disabled (default), 1=enabled. More...
#define | ARM_NAND_DRIVER_READY_EVENT (0x05UL)
| Generate ARM_NAND_EVENT_DRIVER_READY; arg: 0=disabled (default), 1=enabled. More...

## Description

Specify operation modes of the NAND interface.

These controls can be used in the function ARM_NAND_Control for the parameter control.

## Macro Definition Documentation

#define ARM_NAND_BUS_MODE (0x01UL)

Set Bus Mode as specified with arg.

#define ARM_NAND_BUS_DATA_WIDTH (0x02UL)

Set Bus Data Width as specified with arg.

#define ARM_NAND_DRIVER_STRENGTH (0x03UL)

Set Driver Strength as specified with arg.

#define ARM_NAND_DEVICE_READY_EVENT (0x04UL)

Generate ARM_NAND_EVENT_DEVICE_READY; arg: 0=disabled (default), 1=enabled.

#define ARM_NAND_DRIVER_READY_EVENT (0x05UL)

Generate ARM_NAND_EVENT_DRIVER_READY; arg: 0=disabled (default), 1=enabled.